package com.ym.mec.biz.service.impl;

import com.ym.mec.biz.dal.dao.ImGroupNoticeDao;
import com.ym.mec.biz.dal.entity.ImGroupNotice;
import com.ym.mec.biz.service.ImGroupNoticeService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ImGroupNoticeServiceImpl extends BaseServiceImpl<Long, ImGroupNotice>  implements ImGroupNoticeService {

	@Autowired
	private ImGroupNoticeDao imGroupNoticeDao;

	@Override
	public BaseDAO<Long, ImGroupNotice> getDAO() {
		return imGroupNoticeDao;
	}

	@Override
	public ImGroupNotice getNewNotice(Long groupId) {
		return imGroupNoticeDao.getNewNotice(groupId);
	}
}